package de.duehl.basics.io.walker;

/*
 * Copyright 2017 Christian Dühl. All rights reserved.
 *
 * This program is free software. You can redistribute it and/or
 * modify it under the same terms as perl:
 *
 * general:  http://dev.perl.org/licenses/
 * GPL:      http://dev.perl.org/licenses/gpl1.html
 * artistic: http://dev.perl.org/licenses/artistic.html
 */

public interface DirWalkerObserver {

    void visitFile(String fileName);

    void visitEmptyDir(String dirName);

    void visitNotEmptyDir(String dirName);

}
